# Uses of Interface
classycle.dependency.PreferenceFactory

Packages that use PreferenceFactory
Package
Description
classycle.dependency

## Uses of PreferenceFactory in classycle.dependency

Classes in classycle.dependency that implement PreferenceFactory
Modifier and Type
Class
Description
`class`
`DefaultPreferenceFactory`
Factory of `Preferences` known by the `DefaultResultRenderer`.
Methods in classycle.dependency that return PreferenceFactory
Modifier and Type
Method
Description
`PreferenceFactory`
DefaultResultRenderer.`getPreferenceFactory()`
`abstract PreferenceFactory`
ResultRenderer.`getPreferenceFactory()`
`PreferenceFactory`
XMLResultRenderer.`getPreferenceFactory()`